//
//  GameFieldViewController.h
//  OBJCM
//
//  Created by Pavel on 7/24/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import <AudioToolbox/AudioServices.h>
#import <AVFoundation/AVFoundation.h>
#import "MenuViewController.h"
#import "AppDelegate.h"


@interface GameFieldViewController : UIViewController


@property int touchSenderCount;
@property (nonatomic, retain) NSMutableArray *arrWithTwoCardObj;
@property (nonatomic, retain) NSMutableArray *arrWithXY;
@property (nonatomic, retain) NSMutableArray *cards;
@property int countCards;
@property int gamePoint;
@property int countLevelGame;
@property int tick;
@property double maxTick;
@property BOOL soundSwitch;

@property (nonatomic, retain) UIView *fieldCardsContainer;
@property (nonatomic, retain) IBOutlet UILabel *timer;
@property (nonatomic, retain) IBOutlet UILabel *levelCount;
@property (nonatomic, retain) IBOutlet UIImageView *progressViewImg;
@property (nonatomic, retain) NSTimer *globalTimer;
@property (nonatomic, retain) NSTimer *gameToConcedeTimer;



- (IBAction)didBackMenuController:(id)sender;
- (IBAction)didResetGameStatistic:(id)sender;

- (void) didInitializeArrayHalfWithCards;
- (void) didDuplicateArrayHalfWithCards:(NSMutableArray *)halfArrCards;
- (NSMutableArray *) didShuffleArray:(NSMutableArray *)arr;
- (void) didInitializeGame;
- (void) setObjUIImgWithSelector:(UIImage *)uiImage;
- (void) spinLayer:(CALayer *)inLayer duration:(CFTimeInterval)inDuration direction:(int)direction hide:(BOOL)hideMark ifArray:(NSMutableArray *)arr;
- (void) didResetParametresOfGameStatistic;
- (void) compareArrWithTwoCardObj: (CGFloat) withDelay;
- (void) deleteCards;
- (void) hideCards;
- (void) didCheckWinGame;
- (void) didCheckLoseGame:(int) diff;
- (void) saveParametresForGameEnd:(BOOL)isGameOver isGameWin:(BOOL)isGameWin;
- (void) didDisableUserInteraction:(BOOL)YN;
- (void) initializeGameTimerToConcede;
- (void) didContinueGameTimer;
- (void) didPlaySound:(NSString *)soundName;
- (void) fixDifficultyToLateGame;

@end
