//
//  MenuViewController.m
//  OBJCM
//
//  Created by Pavel on 7/24/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "MenuViewController.h"

@interface MenuViewController ()
- (void) didInitializeMenuController;
- (void) initializeStyle;
@end

@implementation MenuViewController

@synthesize labelTitle;
@synthesize isGameOver;
@synthesize isGameWin;
@synthesize isFirstInitialization;
@synthesize countLevelGame;
@synthesize buttonContinueGame;
@synthesize buttonNewGame;
@synthesize countCards;
@synthesize maxTick;
@synthesize imgVolumeOn;
@synthesize imgVolumeOff;
@synthesize soundSwitch;
@synthesize soundSwitcher;




- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

#pragma mark - View lifecycle

- (void) viewWillAppear:(BOOL)animated {
    [self didInitializeMenuController];
}
- (void)viewDidLoad
{
    [super viewDidLoad];
    [self.navigationController setNavigationBarHidden:YES];
}

- (void) initializeStyle {
}

- (void) didInitializeMenuController {
    if(isFirstInitialization) {
        labelTitle.text = @"Memory";
        maxTick = 30;
        countCards = 2;
        countLevelGame = 1;
        imgVolumeOff.alpha = 0.5;
        
        self.buttonContinueGame.hidden = YES;
    }else{
        labelTitle.text = [NSString stringWithFormat:@"Level %d", self.countLevelGame];
    }
    if (isGameOver) {
        labelTitle.text = @"Game Over";
        
    }
    
    AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
    [soundSwitcher setOn:appDelegate.soundSwitch];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)didCreateNewGame:(id)sender {
    GameFieldViewController *gameFieldViewController = [[GameFieldViewController alloc] initWithNibName:@"GameFieldViewController" bundle:nil];
    gameFieldViewController.countCards = countCards;
    gameFieldViewController.countLevelGame = self.countLevelGame;
    gameFieldViewController.maxTick = maxTick;
    AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
    appDelegate.soundSwitch = [soundSwitcher isOn];
    [self.navigationController pushViewController:gameFieldViewController animated:YES];
}

- (IBAction)didContinueGame:(id)sender {
    if(self.isGameOver){
        GameFieldViewController *gameFieldViewController = [[GameFieldViewController alloc] initWithNibName:@"GameFieldViewController" bundle:nil];
        gameFieldViewController.countCards = countCards;
        gameFieldViewController.countLevelGame = self.countLevelGame;
        gameFieldViewController.maxTick = maxTick;
        [self.navigationController pushViewController:gameFieldViewController animated:YES];
    }
    
    AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
    appDelegate.soundSwitch = [soundSwitcher isOn];
    [[self navigationController] popViewControllerAnimated:YES];
    
}

- (IBAction)didVolumeSwitch:(id)sender {
    AppDelegate *appDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
    appDelegate.soundSwitch = [sender isOn];
    if (appDelegate.soundSwitch) {
        imgVolumeOn.alpha = 1;
        imgVolumeOff.alpha = 0.5;
    }else{
        imgVolumeOn.alpha = 0.5;
        imgVolumeOff.alpha = 1;
    }
}


@end
